Package com.google.android.exoplayer2.testutil

## Class FakeDataSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeDataSource.Factory

- All Implemented Interfaces:
    `DataSource.Factory`
  Enclosing class:
    FakeDataSource

      public static class FakeDataSource.Factory
      extends Object
      implements DataSource.Factory

  Factory to create a `FakeDataSource`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FakeDataSet` | `fakeDataSet` |
    `protected boolean` | `isNetwork` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FakeDataSource` | `createDataSource()` | Creates a `DataSource` instance.
    `FakeDataSource.Factory` | `setFakeDataSet​(FakeDataSet fakeDataSet)` |
    `FakeDataSource.Factory` | `setIsNetwork​(boolean isNetwork)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fakeDataSet

          protected FakeDataSet fakeDataSet

    - #### isNetwork

          protected boolean isNetwork

  - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### setFakeDataSet

          @CanIgnoreReturnValue
          public final FakeDataSource.Factory setFakeDataSet​(FakeDataSet fakeDataSet)

    - #### setIsNetwork

          @CanIgnoreReturnValue
          public final FakeDataSource.Factory setIsNetwork​(boolean isNetwork)

    - #### createDataSource

          public FakeDataSource createDataSource()

      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`